<?php
/**
 * Login
 *
 */
class Login extends Controller {

    function Login()
    {
        parent::Controller();
    }
    
    public function index()
    {
        // ログイン処理をし、indexページに戻る。
        // URL指定があれば、そのページに移動する。
        $this->load->library('phpsession');
        $this->load->helper(array('form', 'url'));
        $data['title'] = "login";
        $data['headline'] = "";
        $this->load->vars($data);
        
        $this->load->library('form_validation');
        
        $this->form_validation->set_rules('email', 'メールアドレス', 'trim');
        $this->form_validation->set_rules('password', 'パスワード', 'trim|required');
        
        if ($this->form_validation->run() == FALSE)
        {
            $this->load->view('admin/login/index');
        }
        else
        {
            $email = set_value('email');
            $password = set_value('password');
            
            // email, passwordをチェックする
            $this->db->where('email', $email);
            $this->db->where('password', sha1($password));
            $this->db->where('status', 2);
            $this->db->where('usertype', 'admin');
            $query = $this->db->get('users', 1);
            if ($query->num_rows() > 0)
            {
                $row = $query->row_array();
                $this->phpsession->save('userid', $row['userid']);
                $this->phpsession->save('name', $row['name']);
                $this->phpsession->save('email', $row['email']);
                $this->phpsession->save('usertype', $row['usertype']);
                $this->phpsession->save('hotelid', $row['hotelid']);
                redirect('admin/res');
            }
            else
            {
                //↓NG
                $this->form_validation->set_message('user_check', 'メールアドレス、またはパスワードが間違っています');
                $this->load->vars($data);
                $this->load->view('admin/login/index');
            }
        }
    }
}
